{% extends 'base.html.twig' %}

{% block title %}{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/fancyapps/fancybox@3.5.7/dist/jquery.fancybox.min.css" />
{% endblock %}
{% block body %}
    <div class="main-title">
        <div class="overlay main-pad">
            <div class="titre col-12 p-5 h1 loading">
                <h1><span class="col-pink">Simplon</span>,
                    <br>formations numériques et inclusives</h1>
            </div>
        </div>
        <!-- <div class="overlay">
            <h1 class="container"><span class="col-pink">Simplon</span>,
                <br>formations numériques et inclusives
            </h1>
        </div> -->
    </div>
    <section class="about shadow-title main-pad">
        <div class="container content">
            <div class="title">
                <h2 class="text-center">Qui sommes-nous ?</h2>
            </div>

            <div class="row">
                <div class="col-md-8 desc">
                    <p class="lead">Nous sommes un réseau de fabriques numériques et inclusives en France et à l’étranger. Nous avons formé plus de 2000 apprenants aux métiers du numérique depuis 2013.</p>
                    <p class="lead">Nous sommes une entreprise sociale et solidaire. Nous voulons faire du numérique un véritable levier d’inclusion et révéler des talents parmi des publics peu représentés dans le secteur.
                    Nous conseillons les entreprises dans leur transformation digitale et parfois nous réalisons leurs sites et leurs applications.</p>
                </div>
                <div class="col-md-4 encart">
                    <p class="text">Envie d'en apprendre d'avantage ?</p>
                    <div class="link-officiel">
                        <a href="https://simplon.co/grenoble/" class="btn invert btn-outline-dark"><span>Aller sur le Site officiel</span><i class="infinite slow bounceInLeft fas fa-arrow-right"></i></a>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="separator container main-pad">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100">
            <title>logo-simplon</title>
            <path d="M50,0a50,50,0,1,0,50,50A50,50,0,0,0,50,0Zm0.16,87.43A38.07,38.07,0,1,1,88.23,49.35,38.07,38.07,0,0,1,50.16,87.43Z"
            fill="#ed1450" />
            <rect x="41.06" y="30.12" width="15.29" height="15.29" fill="#ed1450" />
            <rect x="41.06" y="55.41" width="15.29" height="15.29" fill="#ed1450" />
        </svg>
    </div>

    <section class="event main-pad">
        <!-- carousel event  -->
        <div id="eventsHome">
            <h2>Prochains <strong>événements</strong> à venir</h2>
            <div class="event-content main-pad">
                <div id="carousel-event" class="container carousel slide" data-ride="carousel">
                    <ol class="carousel-indicators">
                        <li data-target="#carousel-event" data-slide-to="0" class="active"></li>
                        <li data-target="#carousel-event" data-slide-to="1"></li>
                        <li data-target="#carousel-event" data-slide-to="2"></li>
                    </ol>
                    <div class="carousel-inner">
                        {% for event in events|slice(0, 3) %}
                        <div class="carousel-item {% if loop.first %} active {% endif %}">
                            <a data-fancybox data-type="iframe" data-src="./event/{{ event.id }}" href="javascript:;">
                                <i class="icon-open-modal fas fa-external-link-alt fa-2x"></i>
                                <div class="divImg">
                                    <img src="uploads/images/events/{{event.image}}" class="d-block" alt="...">
                                </div>
                                <div class="divIcon animated rotateIn">
                                    {% if event.icon != null %}
                                    <i class="icon-event fa-2x {{event.icon.cssClass}}" aria-hidden="true"></i>
                                    {% endif %}
                                    <!-- <i class="icon-event fas fa-birthday-cake fa-2x"></i> -->
                                </div>
                                <div class="carousel-infos">
                                    <div class="carousel-title animated fadeInLeft">
                                        <h3>{{ event.title }}</h3>
                                    </div>
                                    <div class="carousel-date animated zoomIn">
                                        <div class="date-event">
                                            <p>Le <span class="day-event">{{ event.startDate|date('d/m/Y') }}</span></p>
                                            <p>à {{ event.startDate|date('H') }}h{{ event.startDate|date('i') }}</p>
                                        </div>
                                    </div>
                                    <div class="carousel-details animated fadeInRight">{{ event.description|raw }}</div>
                                </div>
                            </a>
                        </div>
                        {% endfor %}
                    </div>
                    <a class="carousel-control carousel-control-prev" href="#carousel-event" role="button"
                    data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control carousel-control-next" href="#carousel-event" role="button"
                data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
            </div>
        </div>

    </section>

    <div class="separator container main-pad">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100">
            <title>logo-simplon</title>
            <path d="M50,0a50,50,0,1,0,50,50A50,50,0,0,0,50,0Zm0.16,87.43A38.07,38.07,0,1,1,88.23,49.35,38.07,38.07,0,0,1,50.16,87.43Z"
            fill="#ed1450" />
            <rect x="41.06" y="30.12" width="15.29" height="15.29" fill="#ed1450" />
            <rect x="41.06" y="55.41" width="15.29" height="15.29" fill="#ed1450" />
        </svg>
    </div>

    <!-- les promos -->
    <section class="promo">
        <div class="overlay">
            <div class="title">
                <h2 class="text-center">Les <strong>promos</strong> en cours</h2>
            </div>
            <div class="container mt-5 .promo-content main-pad">
                <div id="accordion" class="panel-group">
                    {% for promo in promosLast %}
                    <div class="panel">
                        <div class="panel-heading" id="promo-{{ promo.id }}">
                            <h4 class="panel-title">
                                <button class="accordion-toggle promo-acc collapsed" data-toggle="collapse" data-target="#promo-description-{{ promo.id }}" aria-expanded="true" aria-controls="promo-{{ promo.id }}">{{ promo.name }}</button>
                            </h4>
                        </div>
                        <div id="promo-description-{{ promo.id }}" class="desc-content panel-collapse collapse" aria-labelledby="headingOne" data-parent="#accordion">
                            <div class="panel-body">{{ promo.description|raw }}</div>
                            <a class="btn btn-danger" href="./promos/{{ promo.id }}">{{ promo.name }}</a>
                        </div>
                    </div>
                    {% endfor %}
                </div>
                <div class="center-btn">
                    <a class="btn invert-grey btn-outline-dark m-3 center-btn btn-lg" href="{{ path('promos') }}">Toutes les promos</a>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    <script src="https://cdn.jsdelivr.net/gh/fancyapps/fancybox@3.5.7/dist/jquery.fancybox.min.js"></script>
{% endblock %}
